Subject: Re: bug#51611: 29.0.50; Compiling emacs 29.0.50 on macOS

From: Niels Søndergaard <[email-masked]>
Date: Fri, 5 Nov 2021 18:22:32 +0100

Gosh man…..

configure:13013: checking for libwebp >= 0.6.0
configure:13020: $PKG_CONFIG --exists --print-errors "$WEBP_MODULE"
configure:13023: $? = 0
configure:13037: $PKG_CONFIG --exists --print-errors "$WEBP_MODULE"

configure:13338: gcc -o conftest -g3 -O2 -I/opt/homebrew/Cellar/libffi/3.4.2/include
-I/opt/homebrew/Cellar/librsvg/2.50.7/include/librsvg-2.0
.
.
.
.
-I/opt/homebrew/Cellar/libxext/1.3.4/include -I/opt/homebrew/Cellar/libx11/1.7.2/include
-I/opt/homebrew/Cellar/libxcb/1.14_1/include -I/opt/homebrew/Cellar/libxau/1.0.9/include
-I/opt/homebrew/Cellar/libxdmcp/1.1.3/include -I/opt/homebrew/Cellar/xorgproto/2021.5/include
-I/opt/homebrew/Cellar/webp/1.2.1_1/include     conftest.c -lanl    >&5

pkg_cv_WEBP_CFLAGS=-I/opt/homebrew/Cellar/webp/1.2.1_1/include
pkg_cv_WEBP_LIBS='-L/opt/homebrew/Cellar/webp/1.2.1_1/lib -lwebp'

I also have a “decode.h” at /opt/homebrew/Cellar/webp/1.2.1_1/include/webp/decode.h, in "image.c"
here is an include "webp/decode.h”, so in my theory it should work, but it does not.

As I use to say:  "IT is not handicraft, it’s art, you never know what it ends up with"

mvh
Niels

 <applewebdata://959BAC92-91A3-481A-B55A-B73F3DA74E07>
Niels Søndergaard
Mariehøj 236, 2990 Nivå
 <tel:+45 4052 2789>+45 4052 [email-masked] <mailto:[email-masked]>
Ultra posse nemo obligatur.

> Den 5. nov. 2021 kl. 17.24 skrev Eli Zaretskii <[email-masked]>:
> 
> [Please use Reply All when replying, to keep the bug tracker on the CC.]
> 
>> From: Niels Søndergaard <[email-masked]>
>> Date: Fri, 5 Nov 2021 16:25:24 +0100
>> 
>> It is at:  "/opt/homebrew/opt/webp/include/webp/decode.h”,
>> I just wrote that in “image.c”, and the compilation went well.
>> 
>> And yes, I know, that if change anything in image.c, then it will be overwritten.
> 
> Please show the part of config.log where it looks for webp package.
> It was supposed to detect the compiler flags for finding the include
> directory there, but for some reason didn't.